# Payment

## Get status of order/payment

<mark style="color:blue;">`GET`</mark> `https://tickets.voordemensen.nl/api/:client_name/payment/:order_key`

Check if the order is paid and display additional info. Use the order\_key to find the order. Upon return from the payment provider we will add the query parameter **`?response=order_key`** to the redirectURL so you can find the key.

Note: calling this method will invoke a true check with the payment provider, it will fire webhooks, it will send notifications of successfull order, and it will e-mail the tickets (unless that already happend)

#### Path Parameters

| Name                                           | Type   | Description                                                        |
| ---------------------------------------------- | ------ | ------------------------------------------------------------------ |
| order\_key<mark style="color:red;">\*</mark>   | String | the order\_key identifying the order                               |
| client\_name<mark style="color:red;">\*</mark> | String | the short name identifying you as a VdM client e.g. demo or fringe |

{% tabs %}
{% tab title="200: OK Payment summary" %}

```javascript
{
    // Response
}
```

{% endtab %}
{% endtabs %}

## Get available payment methods

<mark style="color:blue;">`GET`</mark> `https://api.voordemensen.nl/v1/:client_name/paymentmethods`

This endpoint will return the payment methods that have been defined as available to online ordering in your dashboard.

#### Path Parameters

| Name                                           | Type   | Description                                                        |
| ---------------------------------------------- | ------ | ------------------------------------------------------------------ |
| client\_name<mark style="color:red;">\*</mark> | string | the short name identifying you as a VdM client e.g. demo or fringe |

{% tabs %}
{% tab title="200 Methods successfully retrieved." %}

```
[
  {
    "payment_id": 33,
    "payment_desc": "iDEAL",
    "payment_cost": "0.00"
  },
  {
    "payment_id": 34,
    "payment_desc": "Credit card",
    "payment_cost": "1.50"
  },
  {
    "payment_id": 35,
    "payment_desc": "Bancontact",
    "payment_cost": "0.00"
  },
  {
    "payment_id": 37,
    "payment_desc": "SOFORT Banking",
    "payment_cost": "0.00"
  }
]
```

{% endtab %}
{% endtabs %}

{% hint style="info" %}
If you have defined additional costs for certain payment methods use the field **payment\_cost** to inform the end-user. These costs will not show up in the cart, but will be added to the total price at the level of the payment provider.
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.voordemensen.nl/api/public-endpoints/payment-methods.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
